View Issue Details

IDCategoryLast Update
0004375bugs2012-06-20 19:03
ReporterdanboidAssigned To 
Reproducibilityalways 
Status feedbackResolutionopen 
Product Version 
Fixed in Version 
Summary0004375: loading a session containing linuxsampler LV2 causes segfault
DescriptionGNU gdb (GDB) 7.3-debian
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/dan/src/3.0/build/gtk2_ardour/ardour-3.0...done.
(gdb) run
Starting program: /home/dan/src/3.0/build/gtk2_ardour/ardour-3.0
[Thread debugging using libthread_db enabled]
Ardour3.0alpha10 (built using ['10208'] and GCC version 4.6.1)
Copyright (C) 1999-2011 Paul Davis
Some portions Copyright (C) Steve Harris, Ari Johnson, Brett Viren, Joel Baker

Ardour comes with ABSOLUTELY NO WARRANTY
not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
This is free software, and you are welcome to redistribute it
under certain conditions; see the source for copying conditions.
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file ./src/3.0/gtk2_ardour/../gtk2_ardour/ardour3_ui_default.conf
Loading user ui configuration file /home/dan/.config/ardour3/ardour3_ui.conf
ardour: [INFO]: Loading ui configuration file ./src/3.0/gtk2_ardour/../build/gtk2_ardour/ardour3_ui_dark.rc
ardour: [INFO]: Ardour will be limited to 4096 open files
[New Thread 0x7fffe601c700 (LWP 6426)]
ardour: [INFO]: Loading user configuration file /home/dan/.config/ardour3/ardour.rc
Using SSE optimized routines
[New Thread 0x7fffe581b700 (LWP 6427)]
[New Thread 0x7fffe501a700 (LWP 6428)]
[New Thread 0x7fffe4819700 (LWP 6429)]
ardour: [INFO]: looking for panners in ./src/3.0/gtk2_ardour/../build/libs/panners/2in2out:./src/3.0/gtk2_ardour/../build/libs/panners/1in2out:./src/3.0/gtk2_ardour/../build/libs/panners/vbap
ardour: [INFO]: Panner discovered: "Equal Power Stereo"
ardour: [INFO]: Panner discovered: "Mono to Stereo Panner"
ardour: [INFO]: Panner discovered: "VBAP 2D panner"
[New Thread 0x7fffdace3700 (LWP 6430)]
[New Thread 0x7fffda4e2700 (LWP 6431)]
[New Thread 0x7fffd9ce1700 (LWP 6432)]
[Thread 0x7fffd9ce1700 (LWP 6432) exited]
[Thread 0x7fffda4e2700 (LWP 6431) exited]
[New Thread 0x7fffda4e2700 (LWP 6435)]
LV2: Discovering 1 plugins
Done LV2 discovery
[New Thread 0x7fffd9ce1700 (LWP 6438)]
[New Thread 0x7fffc8157700 (LWP 6439)]
[New Thread 0x7fffc7956700 (LWP 6440)]
[New Thread 0x7fffc7155700 (LWP 6441)]
[New Thread 0x7fffc6953820 (LWP 6442)]
[New Thread 0x7fffc68d9700 (LWP 6443)]

Program received signal SIGPIPE, Broken pipe.
[Switching to Thread 0x7fffd9ce1700 (LWP 6438)]
0x00007fffef8e411d in write () from /lib/x86_64-linux-gnu/libpthread.so.0
(gdb) thread apply all bt

Thread 15 (Thread 0x7fffc68d9700 (LWP 6443)):
#0 0x00007fffed9a0723 in poll () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007ffff43db9e4 in ?? () from /lib/libglib-2.0.so.0
#2 0x00007ffff43dc2f2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3 0x00007ffff4f2a94d in ?? () from /usr/lib/libglibmm-2.4.so.1
0000004 0x00007ffff4402cf6 in ?? () from /lib/libglib-2.0.so.0
0000005 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fffc6953820 (LWP 6442)):
#0 0x00007fffed9a0723 in poll () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007ffff756659e in ARDOUR::Butler::thread_work() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#2 0x00007ffff7567b35 in ARDOUR::Butler::_thread_work(void*) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#3 0x00007ffff651d804 in fake_thread_start(void*) () from ./src/3.0/gtk2_ardour/../build/libs/pbd/libpbd.so.4
0000004 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000005 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fffc7155700 (LWP 6441)):
#0 0x00007fffef8e3410 in sem_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff7608e87 in ARDOUR::Graph::run_one() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#2 0x00007ffff7608f50 in ARDOUR::Graph::helper_thread() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#3 0x00007ffff751a883 in ARDOUR::AudioEngine::_start_process_thread(void*) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000004 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000005 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fffc7956700 (LWP 6440)):
#0 0x00007fffef8e3410 in sem_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff7608e87 in ARDOUR::Graph::run_one() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#2 0x00007ffff7608f50 in ARDOUR::Graph::helper_thread() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#3 0x00007ffff751a883 in ARDOUR::AudioEngine::_start_process_thread(void*) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000004 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000005 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fffc8157700 (LWP 6439)):
#0 0x00007fffef8e3410 in sem_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff760945c in ARDOUR::Graph::main_thread() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#2 0x00007ffff751a883 in ARDOUR::AudioEngine::_start_process_thread(void*) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#3 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000004 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
---Type <return> to continue, or q <return> to quit---
0000005 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fffd9ce1700 (LWP 6438)):
#0 0x00007fffef8e411d in write () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007fffefafb361 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2 0x00007fffefafb6c5 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#3 0x00007fffefafb9fa in jack_cycle_wait () from /usr/lib/x86_64-linux-gnu/libjack.so.0
0000004 0x00007ffff7520c7e in ARDOUR::AudioEngine::process_thread() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000005 0x00007fffefafb8f2 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#6 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#7 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000008 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fffda4e2700 (LWP 6435)):
#0 0x00007fffef8e12c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007fffefafcce3 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#3 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fffdace3700 (LWP 6430)):
#0 0x00007fffef8e163b in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff4891452 in ?? () from /usr/lib/libgthread-2.0.so.0
#2 0x00007ffff43b08ff in ?? () from /lib/libglib-2.0.so.0
#3 0x00007ffff43b12f7 in g_async_queue_timed_pop () from /lib/libglib-2.0.so.0
0000004 0x00007ffff4405331 in ?? () from /lib/libglib-2.0.so.0
0000005 0x00007ffff4402cf6 in ?? () from /lib/libglib-2.0.so.0
#6 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#7 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000008 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fffe4819700 (LWP 6429)):
#0 0x00007fffef8e12c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff74d4ed3 in ARDOUR::Analyser::work() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#2 0x00007ffff4f2a94d in ?? () from /usr/lib/libglibmm-2.4.so.1
#3 0x00007ffff4402cf6 in ?? () from /lib/libglib-2.0.so.0
0000004 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000005 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fffe501a700 (LWP 6428)):
#0 0x00007fffef8e12c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff780016c in peak_thread_work() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#2 0x00007ffff4f2a94d in ?? () from /usr/lib/libglibmm-2.4.so.1
---Type <return> to continue, or q <return> to quit---
#3 0x00007ffff4402cf6 in ?? () from /lib/libglib-2.0.so.0
0000004 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000005 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fffe581b700 (LWP 6427)):
#0 0x00007fffef8e12c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff780016c in peak_thread_work() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#2 0x00007ffff4f2a94d in ?? () from /usr/lib/libglibmm-2.4.so.1
#3 0x00007ffff4402cf6 in ?? () from /lib/libglib-2.0.so.0
0000004 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000005 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fffe601c700 (LWP 6426)):
#0 0x00007fffed97c1cd in nanosleep () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007fffed9a5584 in usleep () from /lib/x86_64-linux-gnu/libc.so.6
#2 0x00007ffff7837d6c in gui_event_loop(void*) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#3 0x00007fffef8dcb40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000004 0x00007fffed9ab36d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffff7fad9a0 (LWP 6423)):
#0 0x00007ffff7de6843 in ?? () from /lib64/ld-linux-x86-64.so.2
0000001 0x00007ffff7de8254 in ?? () from /lib64/ld-linux-x86-64.so.2
#2 0x00007ffff7deefa3 in ?? () from /lib64/ld-linux-x86-64.so.2
#3 0x00007ffff7dea926 in ?? () from /lib64/ld-linux-x86-64.so.2
0000004 0x00007ffff7dee89a in ?? () from /lib64/ld-linux-x86-64.so.2
0000005 0x00007fffeed33f66 in ?? () from /lib/x86_64-linux-gnu/libdl.so.2
#6 0x00007ffff7dea926 in ?? () from /lib64/ld-linux-x86-64.so.2
#7 0x00007fffeed342ec in ?? () from /lib/x86_64-linux-gnu/libdl.so.2
0000008 0x00007fffeed33ee1 in dlopen () from /lib/x86_64-linux-gnu/libdl.so.2
0000009 0x00007fffeef3bb47 in lilv_plugin_instantiate () from /usr/lib/liblilv-0.so.0
0000010 0x00007ffff782d9ca in ARDOUR::LV2Plugin::init(void*, long) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000011 0x00007ffff782e29d in ARDOUR::LV2Plugin::LV2Plugin(ARDOUR::AudioEngine&, ARDOUR::Session&, void*, long) ()
   from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000012 0x00007ffff782e359 in ARDOUR::LV2PluginInfo::load(ARDOUR::Session&) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000013 0x00007ffff76cf4c2 in ARDOUR::find_plugin(ARDOUR::Session&, std::string, ARDOUR::PluginType) ()
   from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000014 0x00007ffff76d9789 in ARDOUR::PluginInsert::set_state(XMLNode const&, int) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#15 0x00007ffff772d41e in ARDOUR::Route::set_processor_state(XMLNode const&) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000016 0x00007ffff7732a32 in ARDOUR::Route::_set_state(XMLNode const&, int, bool) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
#17 0x00007ffff7683373 in ARDOUR::MidiTrack::_set_state(XMLNode const&, int, bool) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000018 0x00007ffff77b8379 in ARDOUR::Session::XMLRouteFactory(XMLNode const&, int) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
---Type <return> to continue, or q <return> to quit---
0000019 0x00007ffff77cb79d in ARDOUR::Session::load_routes(XMLNode const&, int) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000020 0x00007ffff77d50ed in ARDOUR::Session::set_state(XMLNode const&, int) () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000021 0x00007ffff77d15cf in ARDOUR::Session::second_stage_init() () from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000022 0x00007ffff7761f2b in ARDOUR::Session::Session(ARDOUR::AudioEngine&, std::string const&, std::string const&, ARDOUR::BusProfile*, std::string) ()
   from ./src/3.0/gtk2_ardour/../build/libs/ardour/libardour.so.3
0000023 0x000000000053494b in ARDOUR_UI::load_session ()
#24 0x0000000000548a03 in ARDOUR_UI::get_session_parameters(bool, bool, std::string) ()
0000025 0x000000000054971e in ARDOUR_UI::startup() ()
0000026 0x000000000054cc42 in sigc::internal::signal_emit0<void, sigc::nil>::emit(sigc::internal::signal_impl*) ()
0000027 0x00007ffff67ff10f in Gtkmm2ext::UI::run(Receiver&) () from ./src/3.0/gtk2_ardour/../build/libs/gtkmm2ext/libgtkmm2ext.so.0
0000028 0x00000000005072b0 in main ()
TagsNo tags attached.

Relationships

related to 0004462 feedback Linuxsampler plugin crashes Ardour 

Activities

danboid

2011-10-18 10:39

reporter   ~0011706

Note that I can save and load sessions fine using exactly the same version of the LS LV2 plugin under (64bit compiled) qtractor running on the same system.

danboid

2011-10-18 17:10

reporter   ~0011709

Last edited: 2011-10-18 17:11

It may be because I'm still running the last AV5 RC version (which I believe to be identical to the final release) on this laptop but the LS LV2 included in AV5 never did work under A3 or qtractor so I've just ripped it out and replaced it with the latest svn version and it works fine under both A3 and qtractor 32 bit including loading A3 sessions that use LS so this looks like this could be a x64 specific bug.

danboid

2011-10-22 10:58

reporter   ~0011728

drobilla has verified this to be a problem and apparently he managed to fix it on his system by patching LS but his patch didn't work for me, he wasn't too certain if he was patching the correct thing and he says he's not familiar enough with LS to know what could be causing the crash for certain. I'm awaiting feedback from the main LS dev for hope of a definitive fix for 64-bit A3 users.

danboid

2011-10-22 19:41

reporter   ~0011734

I've had some feedback off the lead LS dev now. Unfortunately he doesn't have time to build A3 and test this bug atm but he does say there isn't a single LS function contained in the above backtrace. That combined with the fact that the same LS build works fine under 64bit qtractor says to me it probably is an A3 bug.

danboid

2011-10-26 08:57

reporter   ~0011803

Just been speaking to Leigh on IRC and he says that the LS LV2 works fine for him under 64bit Ubuntu 11.10 but he actually hasn't compiled LS since he was running 10.10 which he has dist-upgraded to 11.10 so maybe this is specific to 64-bit Debian (Testing)?

danboid

2011-10-26 11:41

reporter   ~0011804

That was the good news - things have actually got worse under Deb testing 64 since I last tried. Now, the first time I try inserting the LS LV2 the A3 log box pops up with the error:

[ERROR]: LV2: Failed to instantiate plugin http://linuxsampler.org/plugins/linuxsampler

Then if you clear that error and try again A3 (10306) crashes with the error:


lilv_plugin_instantiate(): error: Failed to open library /usr/lib/lv2/linuxsampler.lv2/linuxsampler.so (/usr/lib/linuxsampler/liblinuxsampler.so.3: undefined symbol: _ZN3sf26Region11GetEG2DecayEPS0_)
Segmentation fault


I can start linuxsampler from the cli OK and that shared lib is where its supposed to be.

drobilla

2011-10-26 15:02

developer   ~0011805

All signs point to dirty build LinuxSampler build. Please ensure you have ONE copy of LinuxSampler installed, and it is truly a fresh build from a fresh source tree.

I notice your linuxsampler library is in /usr. What are you using to package before installing?

danboid

2011-10-26 15:56

reporter   ~0011808

Last edited: 2011-10-26 15:58

That latest error comes from latest svn LS (well it was last week anyway - 2277 iirc) but with (lib)Linuxsampler(dev) patched with your patch which you said fixed it for you under Deb Testing 64. I was careful to uninstall liblinuxsampler, liblinuxsampler-dev and linuxsampler before I installed the patched versions of the three packages (LS install creates 3 LS deb packages) yes. Surely there is no need to recompile and re-install all the other libs if they didn't get patched/ updated too?

I made sure before I installed LS originally that LS nor any of its deps (libgig etc etc) were installed and I installed every one from a fresh svn checkout, following their install instructions and even making and installing from Debian packages, which is something I rarely do. I used exactly the same by-the-book installation procedure to install it under Deb squeeze 32 (AV5) and it works fine there.

I can only presume LS is working fine for you under the latest A3 svn then drobilla? With your patch still applied?

danboid

2011-10-26 16:01

reporter   ~0011809

Last edited: 2011-10-26 16:02

drobilla:

Before installing LS last time I did notice that all of the LS deps are in the Debian repos and seem to be up-to-date. If I'm trying this again maybe I should install everything else from the repos then just compile/install LS from svn?

danboid

2011-10-27 08:55

reporter   ~0011812

I've now tried compiling the latest svn LS against the libgig in Wheezy but it doesn't work so yes, all LS components do indeed need to be compiled afresh from svn.

I discovered that LS has actually been updated since I originally filed this bug to 2279 so I uninstalled all LS components and compiled and installed them all from scratch yet we are back to square one in that now I can load and use the LS plugin OK again but I get a segfault as soon as I try loading a session containing the plugin under A3 10313.

I can provide another backtrace although I suspect it'd be the same as above?

danboid

2011-10-27 09:31

reporter   ~0011813

In fact, I suspect this backtrace could be more revealing than the previous one. It is actually from A3 10313, despite what it says:

--------------------------------------


dan@danworkpc:~/src/3.0/gtk2_ardour$ ./ardbg
GNU gdb (GDB) 7.3-debian
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/dan/src/3.0/build/gtk2_ardour/ardour-3.0...done.
(gdb) run
Starting program: /home/dan/src/3.0/build/gtk2_ardour/ardour-3.0
[Thread debugging using libthread_db enabled]
Ardour3.0alpha10 (built using ['10306'] and GCC version 4.6.1)
Copyright (C) 1999-2011 Paul Davis
Some portions Copyright (C) Steve Harris, Ari Johnson, Brett Viren, Joel Baker

Ardour comes with ABSOLUTELY NO WARRANTY
not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
This is free software, and you are welcome to redistribute it
under certain conditions; see the source for copying conditions.
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file ./../gtk2_ardour/ardour3_ui_default.conf
Loading user ui configuration file /home/dan/.config/ardour3/ardour3_ui.conf
ardour: [INFO]: Loading ui configuration file ./../build/gtk2_ardour/ardour3_ui_dark.rc
./../build/gtk2_ardour/ardour3_ui_dark.rc:1887: error: invalid string constant "processor_prefader", expected valid string constant
./../build/gtk2_ardour/ardour3_ui_dark.rc:1887: error: invalid string constant "processor_prefader", expected valid string constant
ardour: [INFO]: Ardour will be limited to 4096 open files
[New Thread 0x7fffe4960700 (LWP 12492)]
ardour: [INFO]: Loading user configuration file /home/dan/.config/ardour3/ardour.rc
Using SSE optimized routines
[New Thread 0x7fffe415f700 (LWP 12493)]
[New Thread 0x7fffe395e700 (LWP 12494)]
[New Thread 0x7fffe315d700 (LWP 12495)]
ardour: [INFO]: looking for panners in ./../build/libs/panners/2in2out:./../build/libs/panners/1in2out:./../build/libs/panners/vbap
ardour: [INFO]: Panner discovered: "Equal Power Stereo"
ardour: [INFO]: Panner discovered: "Mono to Stereo Panner"
ardour: [INFO]: Panner discovered: "VBAP 2D panner"
[New Thread 0x7fffdd2f9700 (LWP 12496)]
[New Thread 0x7fffdcaf8700 (LWP 12497)]
[New Thread 0x7fffd7fff700 (LWP 12498)]
[Thread 0x7fffd7fff700 (LWP 12498) exited]
[Thread 0x7fffdd2f9700 (LWP 12496) exited]
[New Thread 0x7fffdd2f9700 (LWP 12501)]
LV2: Discovering 1 plugins
Done LV2 discovery
[New Thread 0x7fffd7fff700 (LWP 12504)]
[New Thread 0x7fffc5e9e700 (LWP 12505)]
[New Thread 0x7fffc569d700 (LWP 12506)]
[New Thread 0x7fffc4e9c700 (LWP 12507)]
[New Thread 0x7fffd413e820 (LWP 12508)]
[New Thread 0x7fffc469b700 (LWP 12509)]
[New Thread 0x7fffd40c4700 (LWP 12510)]
[New Thread 0x7fffc332d700 (LWP 12511)]
Starting disk thread...[New Thread 0x7fffc32ac700 (LWP 12512)]
OK
[Thread 0x7fffc32ac700 (LWP 12512) exited]
[New Thread 0x7fffc322b700 (LWP 12513)]
LV2 state path /home/dan/meep/plugins/123.rdff
Loading LV2 state from /home/dan/meep/plugins/123.rdff
[Thread 0x7fffc322b700 (LWP 12513) exited]
[New Thread 0x7fffc32ac700 (LWP 12514)]
Stopping disk thread...OK
Starting disk thread...[Thread 0x7fffc32ac700 (LWP 12514) exited]
[New Thread 0x7fffc322b700 (LWP 12515)]
OK
[Thread 0x7fffc322b700 (LWP 12515) exited]
[New Thread 0x7fffc32ac700 (LWP 12516)]
Scheduling '/home/dan/Downloads/Gothic Organ.SF2' (Index=0) to be loaded in background (if not loaded yet).
[New Thread 0x7fffc322b700 (LWP 12517)]
Loading sf2 file '/home/dan/Downloads/Gothic Organ.SF2'...LV2 state path /home/dan/meep/plugins/123.rdff
Loading LV2 state from /home/dan/meep/plugins/123.rdff
[Thread 0x7fffc32ac700 (LWP 12516) exited]
[New Thread 0x7fffc31aa700 (LWP 12518)]
sf2: initialFilterFc is above the maximum allowed value (max=13500): 62468
OK
Loading sf2 instrument ('/home/dan/Downloads/Gothic Organ.SF2',0)...OK
Caching initial samples...Stopping disk thread...OK
OK
Starting disk thread...[Thread 0x7fffc31aa700 (LWP 12518) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffc322b700 (LWP 12517)]
0x00007fffc3962d1a in LinuxSampler::sf2::InstrumentResourceManager::Create (this=0x7fffc3c8a680, Key=..., pConsumer=0x7fffbe2683b8, pArg=@0x7fffc322a9d0)
    at InstrumentResourceManager.cpp:187
187 (pEngineChannel) ? dynamic_cast<Engine*>(pEngineChannel->GetEngine())->pAudioOutputDevice : NULL;
(gdb) thread apply all bt
[New Thread 0x7fffc32ac700 (LWP 12519)]

Thread 25 (Thread 0x7fffc32ac700 (LWP 12519)):
#0 0x00007fffec617331 in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007fffee543a70 in ?? () from /lib/x86_64-linux-gnu/libpthread.so.0
#2 0x00007fffc32ac700 in ?? ()
#3 0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7fffc322b700 (LWP 12517)):
#0 0x00007fffc3962d1a in LinuxSampler::sf2::InstrumentResourceManager::Create (this=0x7fffc3c8a680, Key=..., pConsumer=0x7fffbe2683b8,
    pArg=@0x7fffc322a9d0) at InstrumentResourceManager.cpp:187
0000001 0x00007fffc396c25a in LinuxSampler::ResourceManager<LinuxSampler::InstrumentManager::instrument_id_t, sf2::Preset>::Borrow (this=0x7fffc3c8a798,
    Key=..., pConsumer=0x7fffbe2683b8, bLock=true) at ../../common/ResourceManager.h:216
#2 0x00007fffc396965e in LinuxSampler::sf2::EngineChannel::LoadInstrument (this=0x7fffbe267d50) at EngineChannel.cpp:106
#3 0x00007fffc39c3332 in LinuxSampler::InstrumentManagerThread::Main (this=0x7fffc3c8ad00) at InstrumentManagerThread.cpp:119
0000004 0x00007fffc3a18da4 in LinuxSampler::__pthread_launcher (thread=0x7fffc3c8ad00) at Thread.cpp:398
0000005 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fffc332d700 (LWP 12511)):
#0 0x00007fffec5e81cd in nanosleep () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007fffec5e8040 in sleep () from /lib/x86_64-linux-gnu/libc.so.6
#2 0x00007fffc39d193a in LinuxSampler::EventThread::Main (this=0x7fffd8650e70) at Plugin.cpp:91
#3 0x00007fffc3a18da4 in LinuxSampler::__pthread_launcher (thread=0x7fffd8650e70) at Thread.cpp:398
0000004 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000005 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fffd40c4700 (LWP 12510)):
#0 0x00007fffec610e63 in select () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007fffc3929533 in LinuxSampler::LSCPServer::Main (this=0x7fffd864fc60) at lscpserver.cpp:534
#2 0x00007fffc3a18da4 in LinuxSampler::__pthread_launcher (thread=0x7fffd864fc60) at Thread.cpp:398
#3 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000004 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fffc469b700 (LWP 12509)):
#0 0x00007fffec60c723 in poll () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007ffff2be99e4 in ?? () from /lib/libglib-2.0.so.0
#2 0x00007ffff2bea2f2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3 0x00007ffff4ce01ef in BaseUI::main_thread (this=0x7fffd8106c90) at ../libs/pbd/base_ui.cc:77
0000004 0x00007ffff4ce1599 in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x7fffd8107258) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
0000005 0x00007ffff4ce13fe in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x7fffd8107250)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
---Type <return> to continue, or q <return> to quit---
#6 0x00007ffff4ce116f in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x7fffd8107220)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#7 0x00007ffff373894d in ?? () from /usr/lib/libglibmm-2.4.so.1
0000008 0x00007ffff2c10cf6 in ?? () from /lib/libglib-2.0.so.0
0000009 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000010 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000011 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fffd413e820 (LWP 12508)):
#0 0x00007fffec60c723 in poll () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007ffff6e661d5 in ARDOUR::Butler::thread_work (this=0x7fffd8042f30) at ../libs/ardour/butler.cc:153
#2 0x00007ffff6e6612f in ARDOUR::Butler::_thread_work (arg=0x7fffd8042f30) at ../libs/ardour/butler.cc:137
#3 0x00007ffff4d16028 in fake_thread_start (arg=0x7fffd80e3c00) at ../libs/pbd/pthread_utils.cc:81
0000004 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000005 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fffc4e9c700 (LWP 12507)):
#0 0x00007fffee54a410 in sem_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff6f459c4 in PBD::ProcessSemaphore::wait (this=0x7fffd80445a8) at /home/dan/src/3.0/libs/pbd/pbd/semutils.h:41
#2 0x00007ffff6f43ea2 in ARDOUR::Graph::run_one (this=0x7fffd80444e0) at ../libs/ardour/graph.cc:393
#3 0x00007ffff6f4426e in ARDOUR::Graph::helper_thread (this=0x7fffd80444e0) at ../libs/ardour/graph.cc:443
0000004 0x00007ffff6f49a6e in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc4e9bc08, p=0x7fffd80444e0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
0000005 0x00007ffff6f4947a in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
    this=0x7fffc4e9bc18, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#6 0x00007ffff6f49065 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc4e9bc08) at /usr/include/boost/bind/bind_template.hpp:20
#7 0x00007ffff6f48bd5 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:153
0000008 0x000000000138d904 in boost::function0<void>::operator() (this=0x7fffc4e9bc00) at /usr/include/boost/function/function_template.hpp:1013
0000009 0x00007ffff6dec2f5 in ARDOUR::AudioEngine::_start_process_thread (arg=0x7fffd8054970) at ../libs/ardour/audioengine.cc:1497
0000010 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000011 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000012 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fffc569d700 (LWP 12506)):
#0 0x00007fffee54a410 in sem_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff6f459c4 in PBD::ProcessSemaphore::wait (this=0x7fffd80445a8) at /home/dan/src/3.0/libs/pbd/pbd/semutils.h:41
#2 0x00007ffff6f43ea2 in ARDOUR::Graph::run_one (this=0x7fffd80444e0) at ../libs/ardour/graph.cc:393
#3 0x00007ffff6f4426e in ARDOUR::Graph::helper_thread (this=0x7fffd80444e0) at ../libs/ardour/graph.cc:443
0000004 0x00007ffff6f49a6e in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc569cc08, p=0x7fffd80444e0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
0000005 0x00007ffff6f4947a in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
---Type <return> to continue, or q <return> to quit---
    this=0x7fffc569cc18, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
#6 0x00007ffff6f49065 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc569cc08) at /usr/include/boost/bind/bind_template.hpp:20
#7 0x00007ffff6f48bd5 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:153
0000008 0x000000000138d904 in boost::function0<void>::operator() (this=0x7fffc569cc00) at /usr/include/boost/function/function_template.hpp:1013
0000009 0x00007ffff6dec2f5 in ARDOUR::AudioEngine::_start_process_thread (arg=0x7fffd8054970) at ../libs/ardour/audioengine.cc:1497
0000010 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000011 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000012 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fffc5e9e700 (LWP 12505)):
#0 0x00007fffee54a410 in sem_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff6f459c4 in PBD::ProcessSemaphore::wait (this=0x7fffd80445c8) at /home/dan/src/3.0/libs/pbd/pbd/semutils.h:41
#2 0x00007ffff6f442ec in ARDOUR::Graph::main_thread (this=0x7fffd80444e0) at ../libs/ardour/graph.cc:462
#3 0x00007ffff6f49a6e in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc5e9dc08, p=0x7fffd80444e0)
    at /usr/include/boost/bind/mem_fn_template.hpp:49
0000004 0x00007ffff6f4947a in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (
    this=0x7fffc5e9dc18, f=..., a=...) at /usr/include/boost/bind/bind.hpp:253
0000005 0x00007ffff6f49065 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc5e9dc08) at /usr/include/boost/bind/bind_template.hpp:20
#6 0x00007ffff6f48bd5 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /usr/include/boost/function/function_template.hpp:153
#7 0x000000000138d904 in boost::function0<void>::operator() (this=0x7fffc5e9dc00) at /usr/include/boost/function/function_template.hpp:1013
0000008 0x00007ffff6dec2f5 in ARDOUR::AudioEngine::_start_process_thread (arg=0x7fffd8054970) at ../libs/ardour/audioengine.cc:1497
0000009 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000010 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000011 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fffd7fff700 (LWP 12504)):
#0 0x00007fffec60c723 in poll () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007fffee762676 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2 0x00007fffee7629fa in jack_cycle_wait () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#3 0x00007ffff6de87b4 in ARDOUR::AudioEngine::process_thread (this=0x295d000) at ../libs/ardour/audioengine.cc:441
0000004 0x00007ffff6de8316 in ARDOUR::AudioEngine::_process_thread (arg=0x295d000) at ../libs/ardour/audioengine.cc:352
0000005 0x00007fffee7628f2 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#6 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#7 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000008 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fffdd2f9700 (LWP 12501)):
#0 0x00007fffee5482c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007fffee763ce3 in ?? () from /usr/lib/x86_64-linux-gnu/libjack.so.0
#2 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#3 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fffdcaf8700 (LWP 12497)):
#0 0x00007fffee54863b in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff309f452 in ?? () from /usr/lib/libgthread-2.0.so.0
#2 0x00007ffff2bbe8ff in ?? () from /lib/libglib-2.0.so.0
#3 0x00007ffff2bbf2f7 in g_async_queue_timed_pop () from /lib/libglib-2.0.so.0
0000004 0x00007ffff2c13331 in ?? () from /lib/libglib-2.0.so.0
0000005 0x00007ffff2c10cf6 in ?? () from /lib/libglib-2.0.so.0
#6 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#7 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000008 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fffe315d700 (LWP 12495)):
#0 0x00007fffee5482c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff6d7a731 in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:85
#2 0x00007ffff6d7a4c9 in analyser_work () at ../libs/ardour/analyser.cc:49
#3 0x0000000001926839 in sigc::pointer_functor0<void>::operator() (this=0x2737bc8) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000004 0x0000000001924132 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x2737bc0)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
0000005 0x00000000019211c1 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x2737b90)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
#6 0x00007ffff373894d in ?? () from /usr/lib/libglibmm-2.4.so.1
#7 0x00007ffff2c10cf6 in ?? () from /lib/libglib-2.0.so.0
0000008 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000009 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000010 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fffe395e700 (LWP 12494)):
#0 0x00007fffee5482c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff721ac65 in peak_thread_work () at ../libs/ardour/source_factory.cc:69
#2 0x0000000001926839 in sigc::pointer_functor0<void>::operator() (this=0x274b428) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#3 0x0000000001924132 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x274b420)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
0000004 0x00000000019211c1 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x274b3f0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
0000005 0x00007ffff373894d in ?? () from /usr/lib/libglibmm-2.4.so.1
#6 0x00007ffff2c10cf6 in ?? () from /lib/libglib-2.0.so.0
#7 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000008 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000009 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fffe415f700 (LWP 12493)):
---Type <return> to continue, or q <return> to quit---
#0 0x00007fffee5482c4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff721ac65 in peak_thread_work () at ../libs/ardour/source_factory.cc:69
#2 0x0000000001926839 in sigc::pointer_functor0<void>::operator() (this=0x274b728) at /usr/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#3 0x0000000001924132 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x274b720)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
0000004 0x00000000019211c1 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x274b6f0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
0000005 0x00007ffff373894d in ?? () from /usr/lib/libglibmm-2.4.so.1
#6 0x00007ffff2c10cf6 in ?? () from /lib/libglib-2.0.so.0
#7 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000008 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000009 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fffe4960700 (LWP 12492)):
#0 0x00007fffec5e81cd in nanosleep () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007fffec611584 in usleep () from /lib/x86_64-linux-gnu/libc.so.6
#2 0x00007ffff7254e97 in gui_event_loop (ptr=0x0) at ../libs/ardour/vstfxwin.cc:382
#3 0x00007fffee543b40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000004 0x00007fffec61736d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffff7f269a0 (LWP 12487)):
#0 0x00007fffec617331 in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000001 0x00007fffee543dc0 in T.124 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2 0x00007fffee54433e in pthread_create@@GLIBC_2.2.5 () from /lib/x86_64-linux-gnu/libpthread.so.0
#3 0x00007fffc3a19077 in SignalStartThread (this=0x7fffdbf5f120) at Thread.cpp:159
0000004 LinuxSampler::Thread::SignalStartThread (this=0x7fffdbf5f120) at Thread.cpp:107
0000005 0x00007fffc3a18cd3 in LinuxSampler::Thread::StartThread (this=0x7fffdbf5f120) at Thread.cpp:90
#6 0x00007fffc396dab7 in LinuxSampler::EngineBase<LinuxSampler::sf2::Voice, sf2::Region, sf2::Region, LinuxSampler::sf2::DiskThread, LinuxSampler::sf2::InstrumentResourceManager, sf2::Preset>::Connect (this=0x7fffdbf13930, pAudioOut=<optimized out>) at ../EngineBase.h:345
#7 0x00007fffc39b9012 in LinuxSampler::AbstractEngine::AcquireEngine (pChannel=0x7fffbe26c510, pDevice=0x7fffd86516c0) at AbstractEngine.cpp:62
0000008 0x00007fffc396acd2 in LinuxSampler::EngineChannelBase<LinuxSampler::sf2::Voice, sf2::Region, sf2::Preset>::Connect (this=0x7fffbe26c510,
    pAudioOut=0x7fffd86516c0) at ../EngineChannelBase.h:123
0000009 0x00007fffc38dcef9 in LinuxSampler::SamplerChannel::SetAudioOutputDevice (this=0x7fffbe26d1d0, pDevice=0x7fffd86516c0) at Sampler.cpp:144
0000010 0x00007fffc39d2efd in LinuxSampler::Plugin::SetState (this=0x7fffd864f420, State=<optimized out>) at Plugin.cpp:335
0000011 0x00007fffc3c97b46 in (anonymous namespace)::PluginLv2::Restore (this=0x7fffd864f420, retrieve=<optimized out>, data=<optimized out>)
    at PluginLv2.cpp:177
0000012 0x00007ffff724714b in ARDOUR::LV2Plugin::set_state (this=0x7fffd8648a90, node=..., version=3000) at ../libs/ardour/lv2_plugin_lilv.cc:775
0000013 0x00007ffff707461b in ARDOUR::PluginInsert::set_state (this=0x7fffd8647b20, node=..., version=3000) at ../libs/ardour/plugin_insert.cc:994
0000014 0x00007ffff70d4571 in ARDOUR::Route::set_processor_state (this=0x7fffd86243c0, node=...) at ../libs/ardour/route.cc:2422
#15 0x00007ffff70d128c in ARDOUR::Route::_set_state (this=0x7fffd86243c0, node=..., version=3000) at ../libs/ardour/route.cc:1968
0000016 0x00007ffff7239abf in ARDOUR::Track::_set_state (this=0x7fffd86243c0, node=..., version=3000) at ../libs/ardour/track.cc:94
#17 0x00007ffff6ff5edb in ARDOUR::MidiTrack::_set_state (this=0x7fffd86243c0, node=..., version=3000) at ../libs/ardour/midi_track.cc:147
0000018 0x00007ffff6ff5e99 in ARDOUR::MidiTrack::set_state (this=0x7fffd86243c0, node=..., version=3000) at ../libs/ardour/midi_track.cc:139
---Type <return> to continue, or q <return> to quit---
0000019 0x00007ffff71b1dc3 in ARDOUR::Session::XMLRouteFactory (this=0x7fffd803a140, node=..., version=3000) at ../libs/ardour/session_state.cc:1498
0000020 0x00007ffff71b1817 in ARDOUR::Session::load_routes (this=0x7fffd803a140, node=..., version=3000) at ../libs/ardour/session_state.cc:1446
0000021 0x00007ffff71b0e92 in ARDOUR::Session::set_state (this=0x7fffd803a140, node=..., version=3000) at ../libs/ardour/session_state.cc:1376
0000022 0x00007ffff71a9b35 in ARDOUR::Session::second_stage_init (this=0x7fffd803a140) at ../libs/ardour/session_state.cc:320
0000023 0x00007ffff7113473 in ARDOUR::Session::Session (this=0x7fffd803a140, eng=..., fullpath=..., snapshot_name=..., bus_profile=0x0, mix_template=...)
    at ../libs/ardour/session.cc:191
#24 0x0000000001346cb7 in ARDOUR_UI::load_session (this=0x24f4fa0, path=..., snap_name=..., mix_template=...) at ../gtk2_ardour/ardour_ui.cc:2794
0000025 0x000000000134669d in ARDOUR_UI::get_session_parameters (this=0x24f4fa0, quit_on_cancel=true, should_be_new=false, load_template=...)
    at ../gtk2_ardour/ardour_ui.cc:2729
0000026 0x000000000133d5e7 in ARDOUR_UI::startup (this=0x24f4fa0) at ../gtk2_ardour/ardour_ui.cc:709
0000027 0x000000000136f50d in sigc::bound_mem_functor0<void, ARDOUR_UI>::operator() (this=0x2842f18) at /usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
0000028 0x000000000136844c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR_UI> >::operator() (this=0x2842f10)
    at /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:251
0000029 0x0000000001361141 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR_UI>, void>::call_it (rep=0x2842ee0)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:103
0000030 0x000000000132ffcf in sigc::internal::signal_emit0<void, sigc::nil>::emit (impl=0x2842e90) at /usr/include/sigc++-2.0/sigc++/signal.h:776
0000031 0x000000000133079c in sigc::signal0<void, sigc::nil>::emit (this=0x24f5060) at /usr/include/sigc++-2.0/sigc++/signal.h:2673
0000032 0x00000000013302dc in sigc::signal0<void, sigc::nil>::operator() (this=0x24f5060) at /usr/include/sigc++-2.0/sigc++/signal.h:2681
0000033 0x00007ffff5177c59 in Gtkmm2ext::UI::run (this=0x24f4fa0, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:266
0000034 0x000000000178d5a3 in main (argc=1, argv=0x7fffffffdd38) at ../gtk2_ardour/main.cc:557

danboid

2011-10-27 11:53

reporter   ~0011814

I noticed this second bt made reference to InstrumentResourceManager.cpp which is what drobilla's LS patch modified. Seeing as I seemed to get a different result with this build I thought it would be worth trying the patch again but it hasn't fixed the crash here.

EdwardDiehl

2011-11-04 20:51

reporter   ~0011920

Last edited: 2011-11-04 20:52

Here is another similar error. I am using Ardour3 Rev 10443 with AVLinux 5.02. I get a crash when loading a session which has a linuxsampler lv2 plugin which is trying to load the Salamander grand piano. Crash message is below. Session did work with Linuxsampler (+Pianoteq on separate track) when I created it, but I cannot load session anymore due to crash.

LV2 state path /mdkhome/sound/recording/ardour3/111020/111020/plugins/5901.rdff
Loading LV2 state from /mdkhome/sound/recording/ardour3/111020/111020/plugins/5901.rdff
Stopping disk thread...OK
Starting disk thread...OK
Scheduling '/mdkhome/sound/sounds/piano/SalamanderGrandPianoV2_44.1khz16bit/SalamanderGrandPianoV3.sfz' (Index=0) to be loaded in background (if not loaded yet).
Loading sfz file '/mdkhome/sound/sounds/piano/SalamanderGrandPianoV2_44.1khz16bit/SalamanderGrandPianoV3.sfz'...LV2 state path /mdkhome/sound/recording/ardour3/111020/111020/plugins/5901.rdff
Loading LV2 state from /mdkhome/sound/recording/ardour3/111020/111020/plugins/5901.rdff
Stopping disk thread...OK
Loading sfz instrument ('/mdkhome/sound/sounds/piano/SalamanderGrandPianoV2_44.1khz16bit/SalamanderGrandPianoV3.sfz',0)...OK
Caching initial samples...OK
Starting disk thread...OK
Scheduling '/mdkhome/sound/sounds/piano/SalamanderGrandPianoV2_44.1khz16bit/SalamanderGrandPianoV3.sfz' (Index=0) to be loaded in background (if not loaded yet).
OK
Segmentation fault

cth103

2011-11-08 01:09

administrator   ~0011936

EdwardDiehl, can we get that session file?

EdwardDiehl

2011-11-08 13:40

reporter   ~0011948

I've attached a session file (new.tgz) with the linuxsampler crash. This was made with rev 10493. The error does not always occur. Sometimes the session loads, sometimes segfaults, sometimes hangs while loading. I'm using AVLinux 5.02 with the Linuxsampler version 1.0.0+cvs2277avlinux-1, and libgig 3.3.0+cvs2277avlinux-1.

2011-11-08 13:41

 

new.tgz (29,071 bytes)

cth103

2011-11-14 14:10

administrator   ~0011997

You could maybe try the patch (for linuxsampler) attached to bug 4462; that might help.

danboid

2011-11-15 16:18

reporter   ~0012041

Last edited: 2011-11-15 16:18

This issues description is no longer accurate. I can now load a session containing the unpatched linuxsampler svn 2283 LV2 plugin under A3 10610 without any errors although it doesn't actually work. No errors appear in the log or the terminal but no sound is produced so it looks like LS doesn't get started.

The patch attached to 4462 applies cleanly but LS doesn't compile after being patched as I suspect the Debian (testing/sid) lv2core package I'm using isn't new enough. I'll try again when it gets updated to have the state extension.

make[5]: Entering directory `/home/dan/src/linuxsampler/src/hostplugins/lv2'
/bin/bash ../../../libtool --tag=CXX --mode=compile x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../.. -g -O2 -pthread -MT PluginLv2.lo -MD -MP -MF .deps/PluginLv2.Tpo -c -o PluginLv2.lo PluginLv2.cpp
libtool: compile: x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../.. -g -O2 -pthread -MT PluginLv2.lo -MD -MP -MF .deps/PluginLv2.Tpo -c PluginLv2.cpp -fPIC -DPIC -o .libs/PluginLv2.o
In file included from PluginLv2.cpp:29:0:
PluginLv2.h:26:23: fatal error: lv2_state.h: No such file or directory
compilation terminated.
make[5]: *** [PluginLv2.lo] Error 1
make[5]: Leaving directory `/home/dan/src/linuxsampler/src/hostplugins/lv2'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/dan/src/linuxsampler/src/hostplugins'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/dan/src/linuxsampler/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/dan/src/linuxsampler'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/dan/src/linuxsampler'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

EdwardDiehl

2011-11-16 16:11

reporter   ~0012088

I have same problem of missing lv2_state.h also using Debian (AVLinux). Cannot figure out what package might contain lv2_state.h. Svn of lv2core does not.

cth103

2012-06-20 19:03

administrator   ~0013645

Linuxsampler SVN with A3 SVN works fine for me; is this still a problem?

Issue History

Date Modified Username Field Change
2011-10-14 16:10 danboid New Issue
2011-10-16 16:17 cth103 cost => 0.00
2011-10-16 16:17 cth103 Target Version => 3.0-beta1
2011-10-18 10:39 danboid Note Added: 0011706
2011-10-18 17:10 danboid Note Added: 0011709
2011-10-18 17:11 danboid Note Edited: 0011709
2011-10-22 10:58 danboid Note Added: 0011728
2011-10-22 19:41 danboid Note Added: 0011734
2011-10-26 08:57 danboid Note Added: 0011803
2011-10-26 11:41 danboid Note Added: 0011804
2011-10-26 15:02 drobilla Note Added: 0011805
2011-10-26 15:56 danboid Note Added: 0011808
2011-10-26 15:57 danboid Note Edited: 0011808
2011-10-26 15:58 danboid Note Edited: 0011808
2011-10-26 16:01 danboid Note Added: 0011809
2011-10-26 16:02 danboid Note Edited: 0011809
2011-10-27 08:55 danboid Note Added: 0011812
2011-10-27 09:31 danboid Note Added: 0011813
2011-10-27 11:53 danboid Note Added: 0011814
2011-11-04 20:51 EdwardDiehl Note Added: 0011920
2011-11-04 20:52 EdwardDiehl Note Edited: 0011920
2011-11-08 01:09 cth103 Note Added: 0011936
2011-11-08 13:40 EdwardDiehl Note Added: 0011948
2011-11-08 13:41 EdwardDiehl File Added: new.tgz
2011-11-12 10:01 cth103 Relationship added related to 0004462
2011-11-14 14:10 cth103 Note Added: 0011997
2011-11-14 14:10 cth103 Status new => feedback
2011-11-15 15:47 cth103 Target Version 3.0-beta1 => 3.0-beta2
2011-11-15 16:18 danboid Note Added: 0012041
2011-11-15 16:18 danboid Note Edited: 0012041
2011-11-16 16:11 EdwardDiehl Note Added: 0012088
2012-01-10 20:46 cth103 Target Version 3.0-beta2 => 3.0-beta3
2012-02-14 17:20 paul Target Version 3.0-beta3 => 3.0 beta4
2012-04-23 22:04 cth103 Status feedback => acknowledged
2012-05-23 15:08 cth103 Target Version 3.0 beta4 => 3.0
2012-06-20 19:03 cth103 Note Added: 0013645
2012-06-20 19:03 cth103 Status acknowledged => feedback